DebugOptions (Gradle API 5.2.1)
Date: 2019-02-08

Package org.gradle.api.tasks.compile

## Class DebugOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.DebugOptions

- All Implemented Interfaces:
    `Serializable`

      public class DebugOptions
      extends AbstractOptions

  Debug options for Java compilation. Only take effect if `CompileOptions.debug` is set to `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DebugOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDebugLevel()` | Tells which debugging information is to be generated.
    `void` | `setDebugLevel​(String debugLevel)` | Sets which debug information is to be generated.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugOptions

          public DebugOptions()

  - ### Method Detail

    - #### getDebugLevel

          @Nullable
          @Optional
          @Input
          public String getDebugLevel()

      Tells which debugging information is to be generated. The value is a comma-separated list of any of the following keywords (without spaces in between):
      `source`
        Source file debugging information
      `lines`
        Line number debugging information
      `vars`
        Local variable debugging information
      By default, only source and line debugging information will be generated.

    - #### setDebugLevel

          public void setDebugLevel​(@Nullable
                                    String debugLevel)

      Sets which debug information is to be generated.